#ifndef FORMERRORCODENOTE_H
#define FORMERRORCODENOTE_H

#include <QWidget>

#include "BaseWidget.h"
#include "DataTypeDef.h"

namespace Ui {
class FormErrorCodeNote;
}

class FormErrorCodeNote : public BaseWidget
{
    Q_OBJECT

public:
    explicit FormErrorCodeNote(BaseWidget *parent = nullptr);
    ~FormErrorCodeNote();

    bool returnParent() override;

private:
    void initWidget();
    void initConnect();

    void refreshData();
    void updateData();

protected:
    void showEvent(QShowEvent* event) override;

private:
    Ui::FormErrorCodeNote *ui;

    TCU_CFG m_tcu_cfg;
};

#endif // FORMERRORCODENOTE_H
